#include <iostream>
#include <bits/stdc++.h>

using namespace std;

#define endl "\n"
#define ll long long

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);
    int n, l;
    cin >> n >> l;
    int h[n];
    for(int i=0; i<n; i++){
        cin >> h[i];
    }
    int i=0;
    while(h[i]>l){
        i++;
        if(i==n){
            cout << -1;
            return 0;
        }
    }
    cout << i+1;
}